onEvent('recipes', e => {

  e.remove({ output: 'envirocore:obsidian_plate' })
  e.remove({ output: 'envirocore:laser_diode' })
  e.remove({ output: 'envirocore:laser_core' })


  e.shaped('envirocore:obsidian_plate', [
    '   ',
    '111',
    '   '
  ], {
    1: 'minecraft:obsidian'
  })

  e.shaped('envirocore:laser_diode', [
    '354',
    '212',
    '555'
  ], {
    1: 'extendedcrafting:nether_star_block', 2: 'botania:bifrost_perm', 3: 'pneumaticcraft:transistor', 4: 'pneumaticcraft:capacitor', 5: 'mekanism:ingot_refined_glowstone'
  })

  e.shaped('envirocore:laser_core', [
    '525',
    '121',
    '525'
  ], {
    1: 'extendedcrafting:nether_star_block', 2: 'botania:bifrost_perm', 5: 'mekanism:ingot_refined_glowstone'
  })

  e.shaped('envirocore:crystal_lens', [
    '232',
    '212',
    '232'
  ], {
    1: 'extendedcrafting:nether_star_block', 2: 'envirocore:erodium', 3: 'envirocore:lens'
  })
})